[MidoNet] Upgrade protobufs 2.6

Galo Navarro galo at midokura.com
Thu Nov 6 08:37:26 UTC 2014


I was actually just writing that we should just *not* use the tip of
the dev branch for the quickstart instructions because, by nature,
it's going to be breakage prone and this is the last thing we want for
the quickstart experience.

I'd:

- Update the quickstart instructions to pull midostack from a version
of midonet that we know works with midostack, not just whatever the
tip is. And then explain how can brave souls pull development branch
tip, should they want to.
- Coordinate with midostack maintainers to update the script. Ubuntu
14 doesn't have protobufs 2.6, so the script needs to do the same
steps I described above.

/g


On 6 November 2014 09:28, Giuseppe (Pino) de Candia
<gdecandia at midokura.com> wrote:
> In that case the mailing list announcement shouldn't be the only place where
> this information is provided.
>
> I've added midonet@ but we should also update the quick start guide OR find
> a way to bring the dependency in automatically. Can it be hosted in
> artifactory?
>
> Thanks,
> Pino
>
> On Nov 6, 2014 9:22 AM, "Galo Navarro" <galo at midokura.com> wrote:
>>
>> It's likely. Anyone who compiles source (or has a system that does it)
>> should consider the notice above and update accordingly.
>>
>> /g
>>
>> On 6 November 2014 09:04, Giuseppe (Pino) de Candia
>> <gdecandia at midokura.com> wrote:
>> > Will this break midostack?
>> >
>> > On Nov 5, 2014 6:51 PM, "Antonio Sagliocco" <antonio at midokura.com>
>> > wrote:
>> >>
>> >> + possibly an:
>> >>
>> >> $ ldconfig
>> >>
>> >> at the end of the installation if protoc complains about linking
>> >> problems.
>> >>
>> >>
>> >> Cheers,
>> >> -- as
>> >>
>> >> On Wed, Nov 5, 2014 at 6:11 PM, Galo Navarro <galo at midokura.com> wrote:
>> >>>
>> >>> Hello devs,
>> >>>
>> >>> We've just merged a new commit into master that requires protobufs 2.6
>> >>> so you'll need to upgrade to be able to compile.
>> >>>
>> >>> Go here: https://github.com/google/protobuf/releases
>> >>> Download the 2.6.1 tar
>> >>> Uncompress
>> >>> ./configure
>> >>> make
>> >>> sudo make install
>> >>>
>> >>> protoc --version should display now the updated version, and the build
>> >>> should work fine.
>> >>>
>> >>> Any questions, let me know.
>> >>>
>> >>> /g
>> >>
>> >>
>> >


More information about the MidoNet mailing list